[Main]
Masks=*.prg
Specid=20

[ColorsAndStyles]
White=Reserved=$0080FF | Identifier=Black | Number=Purple,,B | Space= | String=$A45200 | Symbol= | Comment=Green | MatchingBrackets=

[Keys]
_curobj
_msysmenu
_pageno
_screen
_vfp
abs
accept
aclass
acopy
acos
acti
activate
adatabases
adbobjects
add
additive
adel
adir
aelement
aerror
afields
afont
after
again
ains
ainstance
alen
alias
alines
all
alltrim
alt
alter
alternate
amembers
and
ansi
ansitooem
any
aplabout
appe
append
application
aprinters
array
as
asc
ascan
ascending
ascii
aselobj
asin
asort
assert
asubscript
at
at_c
atan
atc
atcc
atcline
atline
atn2
aused
autosave
average
avg
backcolor
bar
barcount
barprompt
baseclass
before
begin
bell
between
bintoc
bitand
bitclear
bitlshift
bitnot
bitor
bitrshift
bitset
bittest
bitxor
blan
blank
blink
blocksize
bof
border
bott
bottom
box
brow
browse
brstatus
build
by
calculate
call
cancel
candidate
capslock
caption
carry
case
cd
cdow
ceiling
century
change
char
chdir
check
chr
chrsaw
chrtran
chrtranc
class
classlib
clear
clock
clos
close
cls
cmonth
cnt
cntbar
cntpad
codepage
col
collate
color
colorscheme
comm
command
commands
comment
compact
compatible
compile
compobj
confirm
connection
connstring
console
continue
copy
cos
count
cpconvert
cpcurrent
cpdbf
cpdialog
cpnotrans
create
createobject
createoffline
ctobin
ctod
ctot
curdir
currency
cursor
curval
custom
database
databases
datasession
dateformat
datemark
datetime
day
dbalias
dbc
dbused
debug
debugout
decimals
declare
default
define
dele
delete
deleted
delimite
delimited
delimiters
descending
desktop
development
device
difference
dim
dimension
dir
directory
diskspace
display
displayvalue
distinct
dlls
dmy
do
dodefault
dohistory
double
dow
drop
dtoc
dtor
dtos
dtot
each
echo
edit
eject
else
empty
end
endcase
enddefine
enddo
endfor
endfunc
endif
endprintjob
endproc
endscan
endtext
endwith
environment
eof
erase
error
escape
evaluate
event
eventhandler
events
exact
except
exclusive
exists
exit
exp
export
expression
extended
external
fchsize
fclose
fcount
fcreate
fdow
feof
ferror
fetch
fflush
fgets
field
fields
file
files
fill
filter
find
fixed
float
flock
floor
flush
font
footer
fopen
for
force
foreign
form
format
found
fox2x
fputs
free
freeze
from
fseek
fsize
fullpath
func
functi
function
fv
fw2
fweek
fwrite
gath
gather
general
get
getbar
getcolor
getcp
getdir
getenv
getexpr
getfile
getfldstate
getfont
getnextmodified
getobject
getpad
getpict
getprinter
gets
global
go
gomonth
gotfocus
goto
group
grow
having
headings
help
helpcontextid
helpfilter
hidden
highlight
hour
hours
icon
id
idxcollate
if
ifdef
ifndef
iif
import
in
include
indbc
index
indexes
inkey
inlist
input
insert
insmode
int
integer
intensity
interval
into
is
isalpha
iscolor
isdigit
isexclusive
isflocked
islower
isnull
isreadonly
isrlocked
isupper
join
key
keyboard
keycomp
keymatch
label
last
lastkey
ledit
left
leftc
len
lenc
level
library
like
line
lineno
linked
list
loadpicture
local
locate
locfile
lock
lockscreen
log
log10
logerrors
logout
long
lookup
loop
lower
lparameter
lparameters
lpartition
ltrim
lupdate
macdesktop
machelp
mackey
macros
margin
mark
master
max
mcol
md
mdown
mdx
mdy
memlines
memo
memory
memos
memowidth
memvar
menu
menus
message
messagebox
messages
middle
min
minimize
minute
mkdir
mline
mod
modal
modi
modify
module
month
mouse
movable
move
moved
mrkbar
mrkpad
mrow
mton
multilocks
multiselect
mvcount
name
ndx
near
negotiate
network
newobject
next
noalias
noappend
noclear
noclose
noconsole
nocptrans
nodata
nodebug
nodefault
nodelete
noedit
noeject
noenvironment
nofloat
noinit
nolink
nolock
nomargin
nomdi
nomenu
nominimize
nomodify
nomouse
none
nooptimize
nooverwrite
noprompt
noread
norefresh
norequery
normal
normalize
nosave
noshadow
noshow
nospace
not
note
notify
noupdate
novalidate
noverify
nowait
nowindow
nowrap
nozoom
npv
ntom
null
nulldisplay
numlock
nvl
objnum
objtoclient
objvar
occurs
odometer
oemtoansi
of
off
oldval
oleclass
olecontrol
olepublic
on
only
open
optimize
or
order
os
otherwise
outer
overwrite
pack
pad
padc
padr
palette
para
parameter
parameters
path
payment
pcol
pdox
pdsetup
pen
pi
pictres
picture
pixels
plain
play
point
pop
popup
preference
preview
primary
print
printer
printjob
printstatus
private
proc
proced
procedure
procedures
program
project
prompt
proper
protected
prow
prtinfo
public
push
putfile
pv
query
quit
rand
range
rat
ratc
ratline
rd
rdlevel
read
readborder
recall
reccount
recno
record
recover
recsize
references
refresh
region
regional
reindex
rela
relati
relation
release
remote
rename
repl
repla
replace
replicate
report
reprocess
requery
reset
resizable
resize
resource
resources
rest
restore
resume
retry
retu
return
rgb
rgbscheme
right
rightc
rightclick
righttoleft
rlock
rmdir
rollback
round
row
rtod
rtrim
run
runscript
runtime
safety
same
save
say
scan
scat
scatt
scatter
scheme
schemes
scols
scoreboard
screen
sdf
second
seek
sele
select
selected
selection
separator
set
shadows
shape
show
shutdown
sign
sin
single
sizable
size
skip
skpbar
skppad
some
sort
sorted
soundex
space
sql
sqlcommit
sqlrollback
sqlstringconnect
sqrt
srows
status
statusbartext
std
step
sticky
store
str
strconv
string
strtran
structure
stuff
stuffc
style
substr
substrc
sum
summary
suspend
sylk
sys
sysformats
sysmenu
sysmenus
sysmetric
system
tab
tabindex
table
tablerevert
tables
tableupdate
tabstop
tag
talk
target
text
textmerge
textwidth
this
thisform
thisformset
time
timeout
timer
titles
to
top
topic
total
transaction
transform
trap
trbetween
trigger
trim
ttoc
ttod
txnlevel
txtwidth
type
typeahead
udfparms
undefine
union
unique
unlock
unpack
update
updated
upper
use
used
val
valid
validate
value
values
var
varread
vartype
version
view
views
volume
wait
wchild
wcols
week
wexist
wfont
when
while
window
windowlist
windows
with
wk1
wk3
wks
wlast
wlcol
wlrow
wontop
workarea
woutput
wparent
wr1
wread
writeexpression
writemethod
wrk
wrows
wtitle
wvisible
xcmdfile
xl5
xls
year
zap
zoom
zorder
zorderset
